# Uses of Class
javax.sql.StatementEvent

Packages that use StatementEvent
Package
Description
javax.sql
Provides the API for server side data source access and processing from the Java programming language.

## Uses of StatementEvent in javax.sql

Methods in javax.sql with parameters of type StatementEvent
Modifier and Type
Method
Description
`void`
StatementEventListener.`statementClosed​(StatementEvent event)`
The driver calls this method on all `StatementEventListener`s registered on the connection when it detects that a `PreparedStatement` is closed.
`void`
StatementEventListener.`statementErrorOccurred​(StatementEvent event)`
The driver calls this method on all `StatementEventListener`s registered on the connection when it detects that a `PreparedStatement` is invalid.